Name: phpwapmail
Summary: WAP-based e-mail client
Version: 0.9.4
Release: 8%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://phpwapmail.sourceforge.net
Source: http://dl.sourceforge.net/sourceforge/phpwapmail/phpwapmail-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd, php-imap


%description
phpWAPmail is a WAP-based e-mail client. It is intended for providing access
to e-mail servers from cellular phones using WAP browser.

phpWAPmail is written in PHP and uses standard PHP imap module to operate
with mailboxes. It is placed on a web-server and acts as a proxy between
cellular users and mail servers. This way it can provide faster access
to the mailboxes rather than built-in e-mail clients and less network traffic.

Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow access
by remote IP addresses. Edit %{_sysconfdir}/%{name}/config.php
to change some default settings.


%prep
%setup -q -n %{name}-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}


pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf lang/ COPYING README
find locale -name "*.po" -print0 | xargs -0 rm -f
popd


install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name}/config.php \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/config.php

cat <<EOF >%{name}.conf
#
#  %{summary}
#

Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
  <IfModule mod_authz_core.c>
    # Apache 2.4
    Require local
  </IfModule>
  <IfModule !mod_authz_core.c>
    # Apache 2.2
    Order Deny,Allow
    Deny from all
    Allow from 127.0.0.1
    Allow from ::1
  </IfModule>
</Directory>

EOF

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=12 count=1 </dev/urandom 2>/dev/null | base64`
    sed -i -e '/$SECRET = "";/ s|"";|"'$2'";  # Autogenerated for '`uname -n`'|'  %{_sysconfdir}/%{name}/config.php
fi


%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}
%doc README COPYING


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.4-5
- fix apache config file (#871373)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  1 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.4-1
- update to 0.9.4

* Wed Dec 30 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.3-1
- update to 0.9.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 10 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.2-1
- spec file cleanup
- accepted for Fedora (review by Jon Ciesla <limb@jcomserv.net>, #402821)

* Wed Nov 28 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.2-0
- initial release

